<?php

// -----------------------------------------------------------------------
// This file is part of Beacon
//
// Copyright (C) 2003, 2005 Barnraiser
// http://www.barnraiser.org/
// info@barnraiser.org
//
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation; either version 2, or (at your option) any
// later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with program; see the file COPYING. If not, write to the Free
// Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
// 02110-1301, USA.
// -----------------------------------------------------------------------

$menu_section = "wiki";
include_once "inc/header.inc.php";



//SETUP COMMENT -------------------------------------------------------------
require_once($c_node['dir']['class_path'] . 'Comment.class.php');
$comment = new Comment($db);
$comment->wiki = $wiki;


// SETUP TAGS ------------------------------------------------------------
require_once($c_node['dir']['class_path'] . 'Tag.class.php');
$tag = new Tag($db);



if (isset($_POST['update_tag'])) {
	$tag->user_id = $_SESSION['s_user_id'];
	$tag->deleteTags($frmdata);
	$tag->insertTags($frmdata);
}
elseif (isset($_POST['preview_comment'])) {
	$output_comment = $frmdata;
	$output_comment['comment_body'] = stripslashes($output_comment['comment_body']);
	$output_comment['display_comment_body'] = $wiki->transform($output_comment["comment_body"], 'Xhtml');
	$output_comment['comment_body'] = str_replace ('"', '&quot;', $output_comment['comment_body']);

	$display = "preview_comment";

}
elseif (isset($_POST['insert_comment'])) {
	$comment->user_id = $_SESSION['s_user_id'];
	$comment->insertComment($frmdata);

	if (empty($GLOBALS['beacon_error_log'])) {
		return header("Location: index.php?item_id=". $frmdata['item_id'] . "&" . SID);
		exit;
	}
}
elseif (isset($_POST['edit_comment_again'])) {
	$output_comment = $frmdata;
	$output_comment['comment_body'] = stripslashes($output_comment['comment_body']);
}




// GET ITEM
$output_item = $item->selItem();


if (isset($output_item['item_id'])) {
	$pages = $item->selWikiPageNames();
	
	$wiki->setRenderConf('xhtml', 'wikilink', 'pages', $pages);
	
	$output_item['item_body_display'] = $wiki->transform($output_item['item_body'], 'Xhtml');
	
	$comment->item_id = $output_item['item_id'];
	
	if (isset($_REQUEST['ico'])) { //item comments only
		$output_comments = $comment->selComments();
	}
	else {
		$output_comments = $comment->selComments(null, $output_item['wiki_page']);
	}
	// if not the lastest version include link to it.
	if ($output_item['item_id'] != $output_item['current_item_id']) {
		$lang['arr_error'][13] = str_replace("WIKIPAGE", $output_item['wiki_page'], $lang['arr_error'][13]);
		$GLOBALS['beacon_error_log'][] = array(13, null);
	}
	
	//get tags
	$tag->item_id = $output_item['item_id'];
	unset($tag->user_id);
	$output_tags = $tag->selTags();
	
	//get author
	$output_author = $user->selUser($output_item['user_id']);
}




//TEMPLATE
if (!empty($output_item)) {
	$body->set('item', $output_item);
}

if (!empty($output_author)) {
	$body->set('author', $output_author);
}

if (!empty($output_comments)) {
	$body->set('comments', $output_comments);
}

if (!empty($output_comment)) {
	$body->set('comment', $output_comment);
}
if (!empty($display)) {
	$body->set('display', $display);
}

if (!empty($output_tags)) {
	$body->set('tags', $output_tags);
}

include "inc/footer.inc.php";
?>
